#include <iostream>

#include "Compiler.hpp"


namespace dumb {

	Compiler::Compiler(ArgumentList file) : sourceFile(std::filesystem::current_path() / std::filesystem::path(file.at(0))),
			lexer(std::make_unique<Lexer>(*this, this->sourceFile)) {

		const Lexer::TokenStream& tokenStream = this->lexer->tokenize();
		this->parser = std::make_unique<Parser>(*this, tokenStream);
	}

	void Compiler::reportError(std::string message, Token &token) {
		std::cout << message << '\n';
	}
}
