#pragma once

#include <vector>
#include <string>
#include <filesystem>
#include <memory>

#include "Lexer.hpp"
#include "Parser.hpp"

namespace dumb {
	typedef std::vector<std::string> ArgumentList;

	class Compiler {
		private:
			std::filesystem::path sourceFile;
			std::unique_ptr<Lexer> lexer;
			std::unique_ptr<Parser> parser;
		public:
			explicit Compiler(ArgumentList file);

			void reportError(std::string message, Token& token);
	};

}

